Subject: Re: [RFC/PATCH 14] autoconf: Added --with/--without for openssl, curl, expat to ./configure

From: Pavel Roskin <[email-masked]>
Date: Sat, 08 Jul 2006 03:33:19 -0400

Hello, Jakub!

On Sat, 2006-07-01 at 19:55 +0200, Jakub Narebski wrote: 
> >> I suspect that AS_HELP_WITH does some strange quoting, or stripping. Both
> >> [=PATH] and [[=PATH]] produces =PATH in ./configure --help output.
> >> When using @<:@=PATH@:>@ I get [=PATH], but the description of option begins
> >> line below.

Sorry, I misunderstood the problem.  I think it's pure cosmetics.
Please don't let it stop you.

> I guess I would just not use AS_HELP_STRING, and format help 
> message "by hand".

Please don't wast time on such minor things.  It's more important to get
the functionality implemented.

> By the way, if you know autoconf well, perhaps you could tell me how to write
> tests for the following programs: ar, tar, rpmbuild, how to write test for
> Python version (or rather for WITH_OWN_SUBPROCESS_PY) and other test autoconf.ac
> lacks now (NEEDS_SSL_WITH_CRYPTO, NEEDS_LIBICONV, NEEDS_SOCKET, NO_MMAP,
> NO_IPV6, NO_ICONV, NO_ACCURATE_DIFF unless that was removed or changed name).

Generally, see the Autoconf manual for the specific test first, then for
more common test.

For ar, use AC_CHECK_TOOL to allow cross-compilation.  For tar and
rpmbiuld, use 
AC_CHECK_PROG.  Python will have to run to find the version, I'm afraid,
which would complicate cross builds.  Fortunately, it's on the way out.

Tests for sockets are described in the Autoconf documentation.  Other
tests should probably be implemented as test programs unless they can be
reduced to checking for a specific symbol in a specific library.

-- 
Regards,
Pavel Roskin